// TestLnKBridgeLibDlg.h : header file
//

#if !defined(AFX_TESTLNKBRIDGELIBDLG_H__617E6A8A_39A8_4969_99E8_A56E16FD3B09__INCLUDED_)
#define AFX_TESTLNKBRIDGELIBDLG_H__617E6A8A_39A8_4969_99E8_A56E16FD3B09__INCLUDED_

#if _MSC_VER > 1000
#pragma once
#endif // _MSC_VER > 1000

/////////////////////////////////////////////////////////////////////////////
// CTestLnKBridgeLibDlg dialog

class CTestLnKBridgeLibDlg : public CDialog
{
// Construction
public:
	CTestLnKBridgeLibDlg(CWnd* pParent = NULL);	// standard constructor

// Dialog Data
	//{{AFX_DATA(CTestLnKBridgeLibDlg)
	enum { IDD = IDD_TESTLNKBRIDGELIB_DIALOG };
	CButton	m_UseLiterals;
	CEdit	m_AutomatorFilename;
	CEdit	m_DLLPollTime;
	CEdit	m_BridgePollTime;
	CEdit	m_WriteRegLA;
	CEdit	m_WriteRegAddress;
	CEdit	m_WriteRegData;
	CEdit	m_ReadRegSliceSize;
	CEdit	m_ReadRegLA;
	CEdit	m_ReadRegAddress;
	CEdit	m_ReadData;
	CEdit	m_LVStart;
	CEdit	m_ExportLiveViewFilename;
	CEdit	m_ExportRegFilename;
	CEdit	m_ImportRegSS;
	CEdit	m_ImportRegLA;
	CEdit	m_ImportRegFilename;
	CEdit	m_BridgeStatus;
	CEdit	m_MsgCode;
	CEdit	m_MsgSrcAddr;
	CEdit	m_MsgDstAddr;
	CEdit	m_MsgPayload;
	CEdit	m_MsgType;
	CButton	m_SnifferEn;
	CButton	m_ManagerEn;
	CButton	m_FramerEn;
	CEdit	m_PortStatus;
	CEdit	m_BusStatus;
	CEdit	m_SnifferCtrl;
	CEdit	m_ManagerCtrl;
	CEdit	m_FramerCtrl;
	CEdit	m_ScriptID;
	CEdit	m_LoadScriptFile;
	CEdit	m_LoadScriptLibFile;
	CEdit	m_PlayScript;
	CEdit	m_FileLoad;
	CEdit	m_Log;
	//}}AFX_DATA

	// ClassWizard generated virtual function overrides
	//{{AFX_VIRTUAL(CTestLnKBridgeLibDlg)
	protected:
	virtual void DoDataExchange(CDataExchange* pDX);	// DDX/DDV support
	//}}AFX_VIRTUAL

// Implementation
protected:
	HICON m_hIcon;
	char m_replybuf[512];


	// Generated message map functions
	//{{AFX_MSG(CTestLnKBridgeLibDlg)
	virtual BOOL OnInitDialog();
	afx_msg void OnSysCommand(UINT nID, LPARAM lParam);
	afx_msg void OnPaint();
	afx_msg HCURSOR OnQueryDragIcon();
	afx_msg void OnButtonDllVer();
	afx_msg void OnButtonOpen();
	afx_msg void OnButtonClose();
	afx_msg void OnButtonSwVer();
	afx_msg void OnButtonBridgeVer();
	afx_msg void OnButtonLoadProjectFile();
	afx_msg void OnButtonReqScriptLibContent();
	afx_msg void OnButtonplayScript();
	afx_msg void OnButtonloadScriptLib();
	afx_msg void OnButtonLoadScript();
	afx_msg void OnButtonplayBuffer();
	afx_msg void OnButtonReqPortConfig();
	afx_msg void OnButtonReqBusStat();
	afx_msg void OnButtonplayScriptId();
	afx_msg void OnButtonframerCtrl();
	afx_msg void OnButtonmanagerCtrl();
	afx_msg void OnButtonsnifferCtrl();
	afx_msg void OnButtonReset();
	afx_msg void OnButtonFile1();
	afx_msg void OnButtonFile2();
	afx_msg void OnButtonFile3();
	afx_msg void OnButtonFile4();
	afx_msg void OnCheckFramerCtrl();
	afx_msg void OnCheckManagerCtrl();
	afx_msg void OnCheckSnifferCtrl();
	afx_msg void OnButtonsendMsg();
	afx_msg void OnButtonReqBridgeConfig();
	afx_msg void OnButtonImportRegister();
	afx_msg void OnButtonexportRegister();
	afx_msg void OnButtonExportLv();
	afx_msg void OnButtonFile5();
	afx_msg void OnButtonFile6();
	afx_msg void OnButtonFile7();
	afx_msg void OnButtonLvCount();
	afx_msg void OnButtonWriteRegister();
	afx_msg void OnButtonReadRegister();
	afx_msg void OnButtonSetPollTiming();
	afx_msg void OnButReportFramerConfig();
	afx_msg void OnButReportPhyConfig();
	afx_msg void OnButReportClockConfig();
	afx_msg void OnButReportDigAudioConfig();
	afx_msg void OnButReportDataPathConfig();
	afx_msg void OnButReportPresenceRate();
	afx_msg void OnButIpReset();
	afx_msg void OnButtonLoadAutomatorFile();
	afx_msg void OnButtonClearLiveView();
	afx_msg void OnButtonAutomatorFile();
	afx_msg void OnCheckUseLiterals();
	//}}AFX_MSG
	DECLARE_MESSAGE_MAP()
};

//{{AFX_INSERT_LOCATION}}
// Microsoft Visual C++ will insert additional declarations immediately before the previous line.

#endif // !defined(AFX_TESTLNKBRIDGELIBDLG_H__617E6A8A_39A8_4969_99E8_A56E16FD3B09__INCLUDED_)
